From 53e3dd717c74a2f70d65afc8d1b44ed9b20035e7 Mon Sep 17 00:00:00 2001
From: jgart <jgart@dismail.de>
Date: Fri, 16 Apr 2021 00:37:34 -0400
Subject: [PATCH 5/6] gnu: Add abjad-ext-nauert.

    * gnu/packages/music.scm (abjad-ext-nauert): New variable.

*
---
 gnu/packages/music.scm | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index 6dbb6b2a13..959a0b4f6f 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -1599,3 +1599,45 @@ typographic detail of symbols on the page.")
      "@code{abjad-ext-rmakers} includes a collection of classes for creating and
 and manipulating rhythms such as accelerandi, taleas, and more.")
     (license license:expat)))
+
+(define-public abjad-ext-nauert
+  (package
+    (name "abjad-ext-nauert")
+    (version "3.3")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+         (url "https://github.com/Abjad/abjad-ext-nauert")
+         (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32
+         "07vgfjh32vmf652lcl2vrbzr0h6nld00qbgwbf9i1kk3xwhvklc9"))))
+    (build-system python-build-system)
+    (arguments
+     `(#:phases
+       (modify-phases %standard-phases
+         (replace 'check
+           (lambda* (#:key tests? #:allow-other-keys)
+             (when tests?
+               (invoke "python" "-m" "pytest" "tests")
+               #t))))))
+    (native-inputs
+     `(("lilypond" ,lilypond)
+       ("python-black" ,python-black)
+       ("python-flake8" ,python-flake8)
+       ("python-iniconfig" ,python-iniconfig)
+       ("python-isort" ,python-isort)
+       ("python-mypy" ,python-mypy)
+       ("python-pytest" ,python-pytest-6)
+       ("python-pytest-cov" ,python-pytest-cov)
+       ("python-pytest-helpers-namespace" ,python-pytest-helpers-namespace)))
+    (propagated-inputs
+     `(("abjad" ,abjad)))
+    (home-page "https://abjad.github.io")
+    (synopsis "Abjad quantization extension, based on Paul Nauert's Q-Grids")
+    (description
+     "@code{abjad-ext-nauert} provides classes for dealing with composer and
+music theorist Paul Nauert's quantization grids or Q-Grids, for short.")
+    (license license:expat)))

 (define-public non-sequencer
   ;; The latest tagged release is three years old and uses a custom build
   ;; system, so we take the last commit.
-- 
2.29.3

